com.lowagie.toolbox.arguments

## Class OptionArgument.Entry

- java.lang.Object
- - com.lowagie.toolbox.arguments.OptionArgument.Entry

- Enclosing class:
    OptionArgument

      public class OptionArgument.Entry
      extends java.lang.Object

  An Entry that can be chosen as option.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `description` Describes the option.
    `private java.lang.Object` | `value` Holds the actual value of the option.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionArgument.Entry(java.lang.Object value)` Constructs an entry.
    `OptionArgument.Entry(java.lang.Object description, java.lang.Object value)` Constructs an entry.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getDescription()`
    `java.lang.Object` | `getValue()`
    `java.lang.String` | `getValueToString()` Gets the value of the String.
    `void` | `setDescription(java.lang.Object description)`
    `void` | `setValue(java.lang.Object value)`
    `java.lang.String` | `toString()` String representation of the Entry.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### description

          private java.lang.Object description

      Describes the option.

    - #### value

          private java.lang.Object value

      Holds the actual value of the option.

  - ### Constructor Detail

    - #### OptionArgument.Entry

          public OptionArgument.Entry(java.lang.Object value)

      Constructs an entry.
      Parameters:
        `value` - the value of the entry (that will be identical to the description)

    - #### OptionArgument.Entry

          public OptionArgument.Entry(java.lang.Object description,
                              java.lang.Object value)

      Constructs an entry.
      Parameters:
        `description` - the description of the entry
        `value` - the value of the entry

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      String representation of the Entry.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a description of the entry

    - #### getValueToString

          public java.lang.String getValueToString()

      Gets the value of the String.
      Returns:
        the toString of the value

    - #### getDescription

          public java.lang.Object getDescription()

      Returns:
        Returns the description.

    - #### setDescription

          public void setDescription(java.lang.Object description)

      Parameters:
        `description` - The description to set.

    - #### getValue

          public java.lang.Object getValue()

      Returns:
        Returns the value.

    - #### setValue

          public void setValue(java.lang.Object value)

      Parameters:
        `value` - The value to set.